
Application: gvSIG desktop - gvSIG bugs #3202
Error en el informe de "Persistence factories" relacionada con FFrameText
02/22/2015 10:06 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document layout
Target version: 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si ejecutamos desde gvSIG el informe de factorias de persistencia registradas en gvSIG nos da un error en la clase FFrameText.

Class: org.gvsig.app.project.documents.layout.fframes.FFrameText 
Persistent: yes. 
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory 
Definition name: Persistence:FFrameText 
Description: FFrameText persistence definition 
Field text, container, can't has class for value of items. 
Field textColor of 'class java.awt.Color'. 
Field font of 'class java.awt.Font'. 
Field frameColor of 'class java.awt.Color'. 
Field titleColor of 'class java.awt.Color'. 
Field s of 'class java.awt.geom.Rectangle2D'. 
Field layoutDocument of 'interface org.gvsig.app.project.documents.layout.LayoutDocument'. 
Field layoutContext of 'interface org.gvsig.app.project.documents.layout.LayoutContext'. 
Field boundingBox of 'class java.awt.geom.Rectangle2D'.

En la declaracion de persistencia de text se esta usando el metodo setClassOfValue cuando debia usarse setClassOfItems.

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 3220: New add... Closed 02/23/2015

Associated revisions
Revision 332 - 02/23/2015 01:57 PM - Joaquín  del Cerro Murciano

refs  #3202. Corregida la definicion de persistencia del campo text del FFrameText

History
#1 - 02/22/2015 10:10 AM - Joaquín  del Cerro Murciano
- Target version set to 2.2.0-2311-rc2

#2 - 02/23/2015 01:56 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
#3 - 02/23/2015 01:58 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#4 - 02/23/2015 01:58 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 02/23/2015 03:31 PM - Joaquín  del Cerro Murciano
- Related to gvSIG add-on requests #3220: New add-on for org.gvsig.app.document.layout2.app.mainplugin-2.0.44-63 added

#6 - 04/07/2015 12:53 PM - Álvaro Anguix
- Status changed from Fixed to Closed
